View Issue Details

IDProjectCategoryView StatusLast Update
0036992PackagesWidgetsetpublic2020-05-06 21:38
ReporterJoel Linn Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
Platformx64OSLinux Ubuntu 
Product Version2.0.8 
Summary0036992: SIGSEGV on application exit after calling ShowMessage() and related functions.
DescriptionAfter some sort of message box was shown and when the application is closed, an access violation occurs.
Does happen in gtk2 and qt5 widgetsets.
Steps To Reproduce- Create a new (GUI) project.
- Add a Button
- On click, call `ShowMessage('test');`
- Start application.

Case A: immediately close application
Case B: click Button, confirm message box, close application

Observe crash in case b.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2, QT5
Attached Files

Relationships

related to 0037029 new Lazarus Using TOpenDialog results in SIGESGV when program closed 

Activities

Joel Linn

2020-04-29 23:34

reporter  

Screenshot_20200429_233305.png (32,210 bytes)   
Screenshot_20200429_233305.png (32,210 bytes)   
Screenshot_20200429_233208.png (42,123 bytes)   
Screenshot_20200429_233208.png (42,123 bytes)   

Joel Linn

2020-04-29 23:35

reporter   ~0122532

Tested on Kubuntu 19.10 and 20.04

Zeljan Rikalo

2020-04-30 09:21

developer   ~0122538

It's problem with fpc-3.0.4, try with fpc-3.2.0RC1 or fpc 3.2 fixes and it will be ok.

Joel Linn

2020-04-30 13:10

reporter   ~0122555

Thanks for quick answer, can you by chance point me to a changeset that fixed this issue for learning purposes?

Juha Manninen

2020-05-02 20:50

developer   ~0122605

Last edited: 2020-05-02 20:51

View 2 revisions

Please see a mail thread in Lazarus list with subject "EAccessViolation exception on exit qt5 project in Kubuntu 19.10", started by Erwin van den Bosch at 13 April. Less than 3 weeks ago.
FPC developers there explain what happened although no exact revision or bug report was mentioned.
Resolving this one...

Issue History

Date Modified Username Field Change
2020-04-29 23:34 Joel Linn New Issue
2020-04-29 23:34 Joel Linn File Added: Screenshot_20200429_233305.png
2020-04-29 23:34 Joel Linn File Added: Screenshot_20200429_233208.png
2020-04-29 23:35 Joel Linn Note Added: 0122532
2020-04-30 09:21 Zeljan Rikalo Note Added: 0122538
2020-04-30 13:10 Joel Linn Note Added: 0122555
2020-05-02 20:50 Juha Manninen Note Added: 0122605
2020-05-02 20:51 Juha Manninen Note Edited: 0122605 View Revisions
2020-05-02 20:52 Juha Manninen Assigned To => Juha Manninen
2020-05-02 20:52 Juha Manninen Status new => resolved
2020-05-02 20:52 Juha Manninen Resolution open => no change required
2020-05-02 20:52 Juha Manninen LazTarget => -
2020-05-02 20:52 Juha Manninen Widgetset GTK 2, QT5 => GTK 2, QT5
2020-05-06 21:38 Juha Manninen Relationship added related to 0037029